---
updatedAt: 2026-09-03T20:30:56.000Z
agentTools:
  projectIndex: https://developers.tackle.io/llms.txt
---

# List Disbursements

List disbursements within a date range

<Callout icon="🚧" theme="warn">
  ### This endpoint is Deprecated. Use [List Payments](https://payments.tackle.io/api/payments) (`GET https://payments.tackle.io/api/payments`) on the Payments API instead.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Tackle API",
    "description": "Authenticated programmatic access to Tackle's webhooks, metering, and more.",
    "version": "1.0.0",
    "contact": {
      "name": "Tackle Support",
      "email": "support@tackle.io",
      "url": "https://tackle.io"
    }
  },
  "servers": [
    {
      "url": "https://api.tackle.io"
    }
  ],
  "externalDocs": {
    "description": "Tackle Developer Hub and API Documentation",
    "url": "https://developers.tackle.io"
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "description": "The Tackle API requires a JWT for authentication. You can get this by [getting your API credentials](https://developers.tackle.io/docs/how-to-get-an-m2m-client-id-and-secret) from the Tackle Platform then [retrieving your Access Token](https://developers.tackle.io/docs/getting-an-access-token) using our Authentication endpoint.",
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "schemas": {
      "AwsCloud": {
        "type": "string",
        "description": "AWS Cloud",
        "default": "aws",
        "enum": [
          "aws"
        ],
        "example": "aws"
      },
      "GcpCloud": {
        "type": "string",
        "description": "GCP Cloud",
        "default": "gcp",
        "enum": [
          "gcp"
        ],
        "example": "gcp"
      },
      "AwsProductId": {
        "type": "string",
        "description": "AWS Product Code",
        "example": "1test1a2b3c4d5e6f7g8h9ijk",
        "minLength": 0
      },
      "GcpProductId": {
        "type": "string",
        "description": "GCP Solution ID",
        "example": "tackle-for-gcp",
        "minLength": 0
      },
      "Error": {
        "title": "ErrorResponse",
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "minLength": 0
          },
          "error": {
            "type": "string",
            "description": "Error response",
            "minLength": 0
          },
          "errors": {
            "description": "Error details",
            "type": "array",
            "items": {}
          },
          "error_type": {
            "type": "string",
            "enum": [
              "service_exception",
              "client_exception"
            ]
          }
        },
        "required": [
          "code",
          "error",
          "errors"
        ]
      },
      "Metadata": {
        "title": "Metadata",
        "type": "object",
        "description": "Metadata for a given request",
        "properties": {
          "link": {
            "type": "string",
            "format": "uri",
            "example": "https://api.tackle.io"
          }
        },
        "required": [
          "link"
        ]
      },
      "422Reports": {
        "title": "Reports-422-Response",
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "error": {
            "type": "string"
          },
          "errors": {
            "type": "array",
            "items": {}
          }
        },
        "required": [
          "code",
          "error",
          "errors"
        ]
      },
      "Address": {
        "type": "object",
        "properties": {
          "country": {
            "type": "string",
            "nullable": true
          },
          "city": {
            "type": "string",
            "nullable": true
          },
          "zip_code": {
            "type": "string",
            "nullable": true
          },
          "email_domain": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "Customer": {
        "type": "object",
        "properties": {
          "account_number": {
            "type": "string",
            "nullable": true,
            "description": "Marketplace Account Number"
          },
          "address": {
            "$ref": "#/components/schemas/Address"
          }
        }
      },
      "Disbursement": {
        "title": "Disbursement",
        "type": "object",
        "properties": {
          "invoice_id": {
            "$ref": "#/components/schemas/InvoiceId"
          },
          "disbursement_date": {
            "type": "string",
            "pattern": "(^[0-9]{4}-[0-9]{2}-[0-9]{2})([T][0-9]{2}:[0-9]{2}:[0-9]{2})"
          },
          "product": {
            "$ref": "#/components/schemas/ReportingProduct"
          },
          "transaction": {
            "$ref": "#/components/schemas/Transaction"
          },
          "customer": {
            "$ref": "#/components/schemas/Customer"
          },
          "cloud_marketplace": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/AwsCloud"
              },
              {
                "$ref": "#/components/schemas/GcpCloud"
              }
            ]
          },
          "subscription_change_ids": {
            "$ref": "#/components/schemas/SubscriptionChangeIds"
          }
        },
        "required": [
          "invoice_id",
          "disbursement_date",
          "product",
          "transaction",
          "customer",
          "cloud_marketplace"
        ]
      },
      "DisbursementsResponse": {
        "title": "DisbursementsResponse",
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Disbursement"
            }
          },
          "metadata": {
            "$ref": "#/components/schemas/Metadata"
          }
        },
        "required": [
          "data",
          "metadata"
        ]
      },
      "InvoiceId": {
        "type": "string",
        "example": "12345-abcde"
      },
      "Money": {
        "type": "object",
        "properties": {
          "amount": {
            "type": "number"
          },
          "currency": {
            "type": "string",
            "enum": [
              "EUR",
              "CAD",
              "USD",
              "GBP"
            ]
          }
        },
        "required": [
          "amount",
          "currency"
        ]
      },
      "NetAmount": {
        "allOf": [
          {
            "$ref": "#/components/schemas/Money"
          }
        ],
        "description": "Amount to be disbursed by cloud provider after any marketplace fees have been assessed"
      },
      "ReportingProduct": {
        "title": "Product",
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "default": "Example Product"
          },
          "id": {
            "default": "example-product-code-12345",
            "anyOf": [
              {
                "$ref": "#/components/schemas/AwsProductId"
              },
              {
                "$ref": "#/components/schemas/GcpProductId"
              }
            ]
          },
          "tackle_product_ref_id": {
            "type": "string",
            "nullable": true
          }
        },
        "required": [
          "name",
          "id"
        ]
      },
      "SubscriptionChangeId": {
        "type": "string",
        "example": "a1bc2De_-F3"
      },
      "SubscriptionChangeIds": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/SubscriptionChangeId"
        }
      },
      "Transaction": {
        "title": "Transaction",
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "seller_revenue": {
            "$ref": "#/components/schemas/Money"
          },
          "marketplace_fee": {
            "$ref": "#/components/schemas/Money"
          },
          "net_amount": {
            "$ref": "#/components/schemas/NetAmount"
          }
        },
        "required": [
          "id",
          "seller_revenue",
          "marketplace_fee",
          "net_amount"
        ]
      }
    },
    "responses": {
      "401-Unauthorized": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            },
            "examples": {
              "unauthorized": {
                "value": {
                  "code": "unauthorized",
                  "error": "client_id and client_secret are invalid.",
                  "error_type": "service_exception",
                  "errors": []
                }
              }
            }
          }
        }
      },
      "Reports_200-OK-Disbursements": {
        "description": "Example success response containing a list of Disbursement objects",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/DisbursementsResponse"
            },
            "examples": {
              "disbursements-success": {
                "value": {
                  "data": [
                    {
                      "invoice_id": "973453769353",
                      "disbursement_date": "2021-01-26T23:49:41",
                      "product": {
                        "name": "Tackle Cloud Marketplace Platform",
                        "id": "wfSjBibbsm79VdcjaG4hahXzv",
                        "tackle_product_ref_id": null
                      },
                      "transaction": {
                        "id": "yQEwXvKhm4PEzyNN2xbdNmWxLTGxWfM4H9ALdSU4CS2uXCUoDVuCYDH",
                        "seller_revenue": {
                          "amount": 14995,
                          "currency": "USD"
                        },
                        "marketplace_fee": {
                          "amount": -1199.6,
                          "currency": "USD"
                        },
                        "net_amount": {
                          "amount": 13795.4,
                          "currency": "USD"
                        }
                      },
                      "customer": {
                        "account_number": "897487884275",
                        "address": {
                          "country": null,
                          "city": null,
                          "zip_code": null,
                          "email_domain": null
                        }
                      },
                      "cloud_marketplace": "aws",
                      "subscription_change_ids": [
                        "y3jg5Vl_-N0"
                      ]
                    },
                    {
                      "invoice_id": "579270481",
                      "disbursement_date": "2021-01-12T23:45:55",
                      "product": {
                        "name": "Tackle Cloud Marketplace Platform",
                        "id": "rJ2fuuZVHXWPaTtfGBSD7d7ht",
                        "tackle_product_ref_id": null
                      },
                      "transaction": {
                        "id": "YqJ2DUU8VPAH7G6vE7WuQLB9heePw7DcHt2K2rqywz8rBEiTaGSqD3k",
                        "seller_revenue": {
                          "amount": 27995,
                          "currency": "USD"
                        },
                        "marketplace_fee": {
                          "amount": -2239.6,
                          "currency": "USD"
                        },
                        "net_amount": {
                          "amount": 25755.4,
                          "currency": "USD"
                        }
                      },
                      "customer": {
                        "account_number": null,
                        "address": {
                          "country": null,
                          "city": null,
                          "zip_code": null,
                          "email_domain": null
                        }
                      },
                      "cloud_marketplace": "aws",
                      "subscription_change_ids": [
                        "i8jg5Vl_-L5"
                      ]
                    },
                    {
                      "invoice_id": "669572946747",
                      "disbursement_date": "2021-01-24T14:16:04",
                      "product": {
                        "name": "Tackle SaaS Platform for AWS Marketplace",
                        "id": "HXQTgE2MmTQyuDHJpSVsRsrqL",
                        "tackle_product_ref_id": null
                      },
                      "transaction": {
                        "id": "RAyQyNo4BLamAcquLXA9fkPMkHJKBke6WBPXKrTQ8iMFehUomVpSGyR",
                        "seller_revenue": {
                          "amount": 1100,
                          "currency": "USD"
                        },
                        "marketplace_fee": {
                          "amount": -88,
                          "currency": "USD"
                        },
                        "net_amount": {
                          "amount": 1012,
                          "currency": "USD"
                        }
                      },
                      "customer": {
                        "account_number": null,
                        "address": {
                          "country": null,
                          "city": null,
                          "zip_code": null,
                          "email_domain": null
                        }
                      },
                      "cloud_marketplace": "aws",
                      "subscription_change_ids": [
                        "9jyg8Nl_-P5"
                      ]
                    }
                  ],
                  "metadata": {
                    "link": "https://api.tackle.io/v1/disbursements?start_date=2021-01-01&end_date=2021-02-01&cloud=aws"
                  }
                }
              }
            }
          }
        }
      },
      "Reports_400-Bad-Request": {
        "description": "Example response",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            },
            "examples": {
              "example-bad-request": {
                "value": {
                  "code": "invalid_fields",
                  "error": "Validation Error",
                  "errors": [
                    {
                      "loc": [
                        "query",
                        "cloud"
                      ],
                      "msg": "field required",
                      "type": "value_error.missing"
                    }
                  ]
                }
              }
            }
          }
        }
      },
      "Reports_422-Reports": {
        "description": "Example response",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/422Reports"
            },
            "examples": {
              "example-422-invalid-fields": {
                "value": {
                  "code": "invalid_fields",
                  "error": "Validation Error",
                  "errors": [
                    {
                      "ctx": {
                        "enum_values": [
                          "aws",
                          "gcp"
                        ]
                      },
                      "loc": [
                        "query",
                        "marketplace"
                      ],
                      "msg": "value is not a valid enumeration member; permitted: 'aws', 'gcp'",
                      "type": "type_error.enum"
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "start_date": {
        "name": "start_date",
        "description": "Start date for a query",
        "in": "query",
        "required": true,
        "schema": {
          "type": "string",
          "format": "date",
          "example": "2021-06-01"
        }
      },
      "end_date": {
        "name": "end_date",
        "description": "End date for a query",
        "in": "query",
        "required": true,
        "schema": {
          "type": "string",
          "format": "date",
          "example": "2021-07-01"
        }
      },
      "Marketplace": {
        "name": "cloud",
        "in": "query",
        "schema": {
          "type": "string",
          "enum": [
            "aws",
            "gcp"
          ],
          "example": "aws"
        },
        "description": "Cloud Marketplace",
        "required": true
      }
    }
  },
  "paths": {
    "/v1/disbursements": {
      "get": {
        "summary": "List Disbursements",
        "tags": [
          "Disbursements"
        ],
        "operationId": "v1-get-disbursements",
        "responses": {
          "200": {
            "$ref": "#/components/responses/Reports_200-OK-Disbursements"
          },
          "400": {
            "$ref": "#/components/responses/Reports_400-Bad-Request"
          },
          "401": {
            "$ref": "#/components/responses/401-Unauthorized"
          },
          "422": {
            "$ref": "#/components/responses/Reports_422-Reports"
          }
        },
        "parameters": [
          {
            "$ref": "#/components/parameters/start_date"
          },
          {
            "$ref": "#/components/parameters/end_date"
          },
          {
            "$ref": "#/components/parameters/Marketplace"
          }
        ],
        "description": "List disbursements within a date range",
        "security": [
          {
            "BearerAuth": []
          }
        ]
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": true,
    "samples-enabled": true
  }
}
```